org.apache.ignite.internal.processors.cache.verify

## Class CacheInfo

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.processors.cache.verify.CacheInfo

All Implemented Interfaces:
  Externalizable, Serializable

    public class CacheInfo
    extends VisorDataTransferObject

Cache info DTO.

See Also:
  Serialized Form

### Field Summary

Fields
`AffinityTopologyVersion` `topVer` Topology version.

### Fields inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`V1, V2, V3, V4`

### Constructor Summary

Constructors
Constructor and Description
`CacheInfo()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getAffinityClsName()`
`CacheAtomicityMode` `getAtomicityMode()`
`int` `getBackupsCnt()`
`int` `getCacheId()`
`String` `getCacheName()`
`int` `getCachesCnt()`
`int` `getGrpId()`
`String` `getGrpName()`
`int` `getMapped()`
`CacheMode` `getMode()`
`int` `getPartitions()`
`byte` `getProtocolVersion()`
`String` `getSeqName()`
`long` `getSeqVal()`
`AffinityTopologyVersion` `getTopologyVersion()`
`Object` `name(VisorViewCacheCmd cmd)` Gets name of info for multi line output depending on cache command.
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`void` `setAffinityClsName(String affinityClsName)`
`void` `setAtomicityMode(CacheAtomicityMode atomicityMode)`
`void` `setBackupsCnt(int backupsCnt)`
`void` `setCacheId(int cacheId)`
`void` `setCacheName(String cacheName)`
`void` `setCachesCnt(int cachesCnt)`
`void` `setGrpId(int grpId)`
`void` `setGrpName(String grpName)`
`void` `setMapped(int mapped)`
`void` `setMode(CacheMode mode)`
`void` `setPartitions(int partitions)`
`void` `setSeqName(String seqName)`
`void` `setSeqVal(long seqVal)`
`void` `setTopologyVersion(AffinityTopologyVersion topologyVersion)`
`Map<String,Object>` `toMap(VisorViewCacheCmd cmd)`
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### topVer

    public AffinityTopologyVersion topVer

Topology version.

### Constructor Detail

#### CacheInfo

    public CacheInfo()

### Method Detail

#### getSeqName

    public String getSeqName()

#### setSeqName

    public void setSeqName(String seqName)

Parameters:
  `seqName` - Sequence name.

#### getCacheName

    public String getCacheName()

#### setCacheName

    public void setCacheName(String cacheName)

Parameters:
  `cacheName` - Cache name.

#### getCacheId

    public int getCacheId()

#### setCacheId

    public void setCacheId(int cacheId)

Parameters:
  `cacheId` - Cache id.

#### getGrpName

    public String getGrpName()

#### setGrpName

    public void setGrpName(String grpName)

Parameters:
  `grpName` - Group name.

#### getGrpId

    public int getGrpId()

#### setGrpId

    public void setGrpId(int grpId)

Parameters:
  `grpId` - Group id.

#### getCachesCnt

    public int getCachesCnt()

#### setCachesCnt

    public void setCachesCnt(int cachesCnt)

Parameters:
  `cachesCnt` - Caches count.

#### getPartitions

    public int getPartitions()

#### setPartitions

    public void setPartitions(int partitions)

Parameters:
  `partitions` - Partitions.

#### getMapped

    public int getMapped()

#### setMapped

    public void setMapped(int mapped)

Parameters:
  `mapped` - Mapped.

#### getTopologyVersion

    public AffinityTopologyVersion getTopologyVersion()

#### setTopologyVersion

    public void setTopologyVersion(AffinityTopologyVersion topologyVersion)

Parameters:
  `topologyVersion` - Topology version.

#### setSeqVal

    public void setSeqVal(long seqVal)

Parameters:
  `seqVal` - Sequence value.

#### getSeqVal

    public long getSeqVal()

#### getMode

    public CacheMode getMode()

#### setMode

    public void setMode(CacheMode mode)

Parameters:
  `mode` - Mode.

#### getAtomicityMode

    public CacheAtomicityMode getAtomicityMode()

#### setAtomicityMode

    public void setAtomicityMode(CacheAtomicityMode atomicityMode)

Parameters:
  `atomicityMode` - Atomicity mode.

#### getBackupsCnt

    public int getBackupsCnt()

#### setBackupsCnt

    public void setBackupsCnt(int backupsCnt)

Parameters:
  `backupsCnt` - Backups count.

#### getAffinityClsName

    public String getAffinityClsName()

#### setAffinityClsName

    public void setAffinityClsName(String affinityClsName)

Parameters:
  `affinityClsName` - Affinity class name.

#### name

    public Object name(VisorViewCacheCmd cmd)

Gets name of info for multi line output depending on cache command.

Parameters:
  `cmd` - Cache command.
Returns:
  Header.

#### toMap

    public Map<String,Object> toMap(VisorViewCacheCmd cmd)

Parameters:
  `cmd` - Command.

#### getProtocolVersion

    public byte getProtocolVersion()

Overrides:
  `getProtocolVersion` in class `VisorDataTransferObject`
Returns:
  Transfer object version.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020